> ## Documentation Index
> Fetch the complete documentation index at: https://help.pixwel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update comments



## OpenAPI

````yaml /openapi.yaml put /comments
openapi: 3.1.0
info:
  title: Pixwel Platform
  description: >-
    The Pixwel Platform REST API. Responses are decorated by proxy middleware
    (Fields, Links, Permissions, etc.). Use `?fields=` to request specific
    fields.
  version: '2.8'
  contact:
    email: jeff@pixwel.com
  license:
    name: UNLICENSED
servers:
  - url: https://api-staging.pixwel.com/api
    description: Staging
  - url: https://app.pixwel.com/api
    description: Production
security:
  - BasicAuth: []
paths:
  /comments:
    put:
      tags:
        - Comments
      summary: Update comments
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommentsResponse'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentsResponse'
components:
  schemas:
    CommentsResponse:
      type: object
      properties:
        _id:
          type: string
          example: 5dc2eb1bd1c56a0024562983
        workRequest:
          type: string
          example: 5dc2ead7d1c56a04453af643
        user:
          type: object
          properties:
            _id:
              type: string
              example: 5432fc15bde09b627c8b468d
            name:
              type: string
              example: Anthony Momjian
            emailNormal:
              type: string
              example: anthony@pixwel.com
            groups:
              type: array
              items:
                type: object
                properties:
                  _id:
                    type: string
                    example: 5328d77467d621906d8b4574
                  name:
                    type: string
                    example: PIXWEL
                  $links:
                    type: object
                    properties:
                      self:
                        type: string
                        example: >-
                          //api-staging.pixwel.com/api/Groups/5328d77467d621906d8b4574
        body:
          type: string
          example: SADfghjk
        urls:
          type: object
          properties:
            workRequest:
              type: string
              example: >-
                https://platform.pixwel.com/orders/manage/5dc2ead7d1c56a04453af643/previews
        created:
          type: integer
          example: 1573055259
        $links:
          type: object
          properties:
            self:
              type: string
              example: //api-staging.pixwel.com/api/Comments/5dc2eb1bd1c56a0024562983
            workRequest:
              type: string
              example: >-
                //api-staging.pixwel.com/api/Workrequests/5dc2ead7d1c56a04453af643
            user:
              type: string
              example: //api-staging.pixwel.com/api/Users/5432fc15bde09b627c8b468d
        replies:
          type: array
          items: {}
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````